### Enumeration

# GExiv2 Orientation

#### Declaration

    enum GExiv2.Orientation

#### Description [src]

The orientation of an image is defined as the location of it’s x,y origin. More than rotation, orientation allows for every variation of rotation, flips, and mirroring to be described in 3 bits of data.

A handy primer to orientation can be found at http://jpegclub.org/exif_orientation.html.

#### Members

`GEXIV2_ORIENTATION_UNSPECIFIED`

  The orientation of the image is unknown.

  - Value: `0`
  - Available since: 0.16
`GEXIV2_ORIENTATION_NORMAL`

  The orientation of the image is without any rotation.

  - Value: `1`
  - Available since: 0.16
`GEXIV2_ORIENTATION_HFLIP`

  The image is flipped on its horizontal axis.

  - Value: `2`
  - Available since: 0.16
`GEXIV2_ORIENTATION_ROT_180`

  The image is rotated by 180 degrees.

  - Value: `3`
  - Available since: 0.16
`GEXIV2_ORIENTATION_VFLIP`

  The Image is flipped on its vertical axis.

  - Value: `4`
  - Available since: 0.16
`GEXIV2_ORIENTATION_ROT_90_HFLIP`

  The image is rotated by 90 degrees clockwise and flipped on its horizontal axis.

  - Value: `5`
  - Available since: 0.16
`GEXIV2_ORIENTATION_ROT_90`

  The image is rotated by 90 degrees clockwise.

  - Value: `6`
  - Available since: 0.16
`GEXIV2_ORIENTATION_ROT_90_VFLIP`

  The image is rotated by 90 degrees clockwise and flipped on its vertical axis.

  - Value: `7`
  - Available since: 0.16
`GEXIV2_ORIENTATION_ROT_270`

  The image is rotated 270 degrees clockwise.

  - Value: `8`
  - Available since: 0.16